HttpRequestStream (Catalina Internal API Documentation)
Keywords: org.apache.catalina.connector.http.HttpRequestStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.http
Class HttpRequestStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.apache.catalina.connector.RequestStream
                  org.apache.catalina.connector.http.HttpRequestStream

public class HttpRequestStream
extends RequestStream

Author:
  Remy Maucherat

Field Summary
`protected boolean` | `chunk` Deprecated. Use chunking ?
`protected byte[]` | `chunkBuffer` Deprecated. Chunk buffer.
`protected int` | `chunkLength` Deprecated. Chunk length.
`protected int` | `chunkPos` Deprecated. Chunk buffer position.
`protected boolean` | `endChunk` Deprecated. True if the final chunk was found.
`protected boolean` | `http11` Deprecated. HTTP/1.1 flag.

Fields inherited from class org.apache.catalina.connector.RequestStream
`closed, count, length, sm, stream`

Constructor Summary
`HttpRequestStream(org.apache.catalina.connector.http.HttpRequestImpl request, org.apache.catalina.connector.http.HttpResponseImpl response)` Deprecated. Construct a servlet input stream associated with the specified Request.

Method Summary
`void` | `close()` Deprecated. Close this input stream.
`int` | `read()` Deprecated. Read and return a single byte from this input stream, or -1 if end of file has been encountered.
`int` | `read(byte[] b, int off, int len)` Deprecated. Read up to `len` bytes of data from the input stream into an array of bytes.

Methods inherited from class org.apache.catalina.connector.RequestStream
`read`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chunk

    protected boolean chunk

  Deprecated.
  Use chunking ?

### endChunk

    protected boolean endChunk

  Deprecated.
  True if the final chunk was found.

### chunkBuffer

    protected byte[] chunkBuffer

  Deprecated.
  Chunk buffer.

### chunkLength

    protected int chunkLength

  Deprecated.
  Chunk length.

### chunkPos

    protected int chunkPos

  Deprecated.
  Chunk buffer position.

### http11

    protected boolean http11

  Deprecated.
  HTTP/1.1 flag.

Constructor Detail

### HttpRequestStream

    public HttpRequestStream(org.apache.catalina.connector.http.HttpRequestImpl request,
                             org.apache.catalina.connector.http.HttpResponseImpl response)

  Deprecated.
  Construct a servlet input stream associated with the specified Request.

Parameters:
  `request` - The associated request
  `response` - The associated response

Method Detail

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Close this input stream. No physical level I-O is performed, but any further attempt to read from this stream will throw an IOException. If a content length has been set but not all of the bytes have yet been consumed, the remaining bytes will be swallowed.

  Overrides:
    `close` in class `RequestStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Deprecated.
  Read and return a single byte from this input stream, or -1 if end of file has been encountered.

  Overrides:
    `read` in class `RequestStream`
  Throws:
    `java.io.IOException` - if an input/output error occurs

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Deprecated.
  Read up to `len` bytes of data from the input stream into an array of bytes. An attempt is made to read as many as `len` bytes, but a smaller number may be read, possibly zero. The number of bytes actually read is returned as an integer. This method blocks until input data is available, end of file is detected, or an exception is thrown.

  Overrides:
    `read` in class `RequestStream`
  Parameters:
    `b` - The buffer into which the data is read
    `off` - The start offset into array `b` at which the data is written
    `len` - The maximum number of bytes to read
  Throws:
    `java.io.IOException` - if an input/output error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.